Skip to navigation

Retrieve the last completed aggregate query job

View as Markdown
Returns the details of the last completed job. The completed AQuA jobs that were created 180 days ago are deleted permanently from Zuora, so you cannot query these jobs through API or AQuA job finder.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

partnerstringRequired
The unique ID of a data integration partner.
projectstringRequired
The unique ID of a data integration project for a particular partner.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data. Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
batcheslist of objectsOptional
A JSON array object that contains a list of batch objects.
encryptedenumOptional

If enabled, you must supply the formatting (zip or unzip) first and decrypt it to get the actual contents.

Allowed values:
formatenumOptional

The format of the query. The default value is csv.

Allowed values:
idstringOptional
The job ID created for the AQuA API request. The job ID can be used for querying for the query status. The ID exists only if the JSON request can be parsed and validated successfully. Otherwise, the job ID is null.
namestringOptional
The name of the job. 32 character limit.
partnerstringOptional

The partner field indicates the unique ID of a data integration partner. The dropdown list of this field displays partner IDs for the past thirty days.

It must be used together with “project” field to uniquely identify a data integration target.

For example, if a continuous AQuA session is to retrieve data incrementally for a Salesforce.com Org 00170000011K3Ub, you can use partner as “Salesforce”, and “project” as “00170000011K3Ub.”

This field is required only if you are using AQuA in stateful mode. Otherwise, if you are using AQuA in stateless mode, partner field can be null.

Note: Zuora highly recommends you use the stateless mode instead of the stateful mode to extract bulk data. See Bulk data extraction from Zuora using AQuA for best practices.

Note: Submit a request at Zuora Global Support to obtain a partner ID.

projectstringOptional
The project field contains the unique ID of a data integration project for a particular partner. The dropdown list of this field displays project IDs for the past thirty days. This field must be used together with partner field to uniquely identify a data integration target. This field is required only if you are using AQuA in stateful mode. Otherwise, if you are using AQuA in stateless mode, partner field can be null.
sourceDatastringOptional

Indicates the source this aggregate query runs against:

  • LIVE represents the live transactional databases at Zuora (Data Query Live).

  • WAREHOUSE represents Zuora Warehouse, which has better performance and fewer limitations than the live transactional database. For more information, see Zuora Warehouse.

startTimestringOptional
The start time of the query.
statusenumOptional

The status of the AQuA job:

  • submitted: The AQuA job was submitted to the query executor for processing.
  • executing: The AQuA job is being processed.
  • completed: The AQuA job was successfully executed.
  • error: The AQuA job was not processed because of validation errors.
  • aborted: The AQuA job execution failed because one or more queries of this job failed.
  • cancelled: The AQuA job was cancelled.
versionfloatOptional

The API version you want to use.

The supported versions are as follows:

  • 1.1. It supports both modes
  • 1.0. Default. It supports stateless modes only.

See Stateless and stateful modes for more information.